from datetime import datetime


def parse_knmi(text):
    data = []
    for line in text.splitlines():
        if not line.startswith("#") and not line.startswith('"#'):
            values = line.split(',')

            # Split the values to variables
            date = values[1].strip()
            hour = values[2].strip()
            temp = values[3].strip()

            # Convert temperature from 0.1 Celsius to 1. Celsius
            temp = str(float(temp)/10)

            # Convert hour from 1-24 range to 0-23 range
            hour = str(int(hour) - 1)

            # Convert to "Y-m-d H:M:S"-format
            date_time = str(datetime.strptime(date + hour.zfill(2), '%Y%m%d%H'))

            data.append(",".join([date_time, temp]))

    return data
